Skip to main content
GET
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
documents
/
{document_id}
/
download
Generate presigned download URL
curl --request GET \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/documents/{document_id}/download \
  --header 'Authorization: Bearer <token>'
{
  "downloadUrl": "<string>",
  "documentId": "<string>",
  "documentName": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "fileSizeBytes": 123
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required
document_id
required

Response

Successful Response

Response schema for presigned download URL.

downloadUrl
string
required

Presigned URL for downloading the document

documentId
string
required

Document ID

documentName
string
required

Document name

expiresAt
string<date-time>
required

When the presigned URL expires

fileSizeBytes
integer | null

File size in bytes